NotFoundException Class Reference

Object not found (thrown everywhere except from .find() methods) More...

`#include <Exceptions.h>`

Inheritance diagram for NotFoundException:
Collaboration diagram for NotFoundException:

## Public Member Functions

| NotFoundException (const std::string &message=std::string(), const std::string &location=std::string())
| ~NotFoundException () throw ()
Public Member Functions inherited from RcsbException
| RcsbException (const std::string &message=std::string(), const std::string &location=std::string())
| ~RcsbException () throw ()
void | AppendMessage (const std::string &message=std::string(), const std::string &location=std::string())
const char * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from RcsbException
std::string | _message

## Detailed Description

Object not found (thrown everywhere except from .find() methods)

## Constructor & Destructor Documentation

NotFoundException::NotFoundException | ( | const std::string & | message = `std::string()`,
|  | const std::string & | location = `std::string()`
| ) |  |

NotFoundException::~NotFoundException | ( |  | ) |
throw | ( |
| ) |  |

The documentation for this class was generated from the following file:

- rcsb/Exceptions.h